USE [BBS]
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BBS_ShowAllPlansToCustomers_prc]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[BBS_ShowAllPlansToCustomers_prc]
GO

USE [BBS]
GO
CREATE PROCEDURE [dbo].[BBS_ShowAllPlansToCustomers_prc] (
													  @SubscriptionID int
													, @CustomerID int
													, @Month VARCHAR(255)
												)
AS
SET NOCOUNT ON
SET XACT_ABORT ON

BEGIN
	SELECT 
		  subscriptionid
		, subscriptioncost
		, subscriptiondetails
		, subscriptionarea
		, subscriptionspeed
		, @CustomerID as CustomerID
		, @Month as [Month]
	FROM   subscription (nolock)
END
