USE [BBS]
GO
IF Object_id('dbo.BBS_Transaction_Details_Update_tr') IS NOT NULL
  DROP TRIGGER dbo.BBS_Transaction_Details_Update_tr
GO

CREATE TRIGGER dbo.BBS_Transaction_Details_Update_tr
ON Transaction_Details
AFTER  UPDATE
AS
  BEGIN
	UPDATE B
	SET    B.[status] = 'Paid'
	FROM   Bills B
	WHERE  b.BillNo IN (SELECT BillNo
					   FROM inserted)
		   AND B.[status] = 'Pending' 
  END
GO

 

