USE [BBS]
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BBS_RegisterNewCustomer_prc]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[BBS_RegisterNewCustomer_prc]
GO

USE [BBS]
GO
CREATE PROCEDURE [dbo].[BBS_RegisterNewCustomer_prc] (
													  @CustomerName Varchar(255)
													, @CustomerMobile Varchar(50)
													, @CustomerIDProof Varchar(255)
													, @CustomerType varchar(255)
													, @City Varchar(255)
													, @Area Varchar(255)
													, @Password NVARCHAR(50)
												)
AS
SET NOCOUNT ON
SET XACT_ABORT ON

BEGIN
Declare @UserID int
Declare @CustomerID int
Declare @CustomerAddress Varchar(255)
Set @CustomerAddress  =  @Area + '|' + @City


-- Create user id for new user 
Insert into User_Login ([Password]) Values (HASHBYTES('SHA2_512', @Password))

set @UserID = SCOPE_IDENTITY()

INSERT INTO cust_details
            (customername,
             customermobilenumber,
             customeridproof,
             customertype,
             userid,
             customeraddress)
VALUES      ( @CustomerName,
              @CustomerMobile,
              @CustomerIDProof,
              @CustomerType,
              @UserID,
              @CustomerAddress ) 

set @CustomerID = SCOPE_IDENTITY()

Select 'Registration successfull Your UserID : ' + Convert(Varchar(max),@UserID) + ' and your CustomerID : ' + Convert(Varchar(max),@CustomerID)

Select 'Please Choose the below Sutable  plan of broadband in your locality' 

Select * 
From Subscription (Nolock)
where SubscriptionArea=@Area

END



