USE [BBS]
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BBS_ShowCurrentSubscriptionPlans_prc') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[BBS_ShowCurrentSubscriptionPlans_prc]
GO

USE [BBS]
GO
CREATE PROCEDURE [dbo].[BBS_ShowCurrentSubscriptionPlans_prc] (
													  @UserID int
													, @Password NVARCHAR(50)
												)
AS
SET NOCOUNT ON
SET XACT_ABORT ON

BEGIN

Declare @PasswordHash BINARY(64)
Declare @SubscriptionCount int 
select @@ROWCOUNT 

set @PasswordHash = HASHBYTES('SHA2_512', @Password)

if Exists (Select 1 From User_Login where [UserID]=@UserID  and [Password]=@PasswordHash )
	Begin

		SELECT subscriptionid,
		   subscriptioncost,
		   subscriptiondetails,
		   subscriptionarea,
		   subscriptionspeed
		FROM   subscription (nolock)
		WHERE  subscriptionid IN (SELECT subscriptionid
								  FROM   cust_details (nolock)
								  WHERE  [userid] = @UserID) 
		Set  @SubscriptionCount =@@ROWCOUNT 
		Select 'Total Plans availe for you are ' + Convert(varchar(max),@SubscriptionCount) 
	End
Else 
	Begin
		Select 'Invalid UserID/Password'
	ENd
END
